Skip to main content

List Monitors

1 min read
get/monitor
Request example
Response
get/monitor

Authorization

Authorizationstringheaderrequired#
Bearer authentication header of the form Bearer <token>, where <token> is your API key.

Query parameters

limitinteger#

Default: 25

Range: 1–100

offsetinteger#

Default: 0

Range: >= 0

Responses

application/json
200
List of monitors
successboolean#
dataobject[]#
Show child attributes
idstring#
namestring#
statusenum<string>#
Options:activepauseddeleted
scheduleobject#
Show child attributes
cronstring#
timezonestring#
nextRunAtstring#
lastRunAtstring#
currentCheckIdstring#
targetsobject[]#
Show child attributes
webhookobject#
Webhook destination for monitor page and check completion events.
Show child attributes
urlstringrequired#
The URL to send monitor webhooks to.
headersobject#
Headers to send to the webhook URL.
Show child attributes
{key}string#
metadataobject#
Custom metadata included in webhook payloads.
eventsenum<string>[]#
Monitor webhook events to receive. Defaults to all monitor events.
notificationobject#
Show child attributes
emailobject#
Show child attributes
enabledboolean#

Default: false

recipientsstring[]#

Items: max 25

includeDiffsboolean#
Include changed page details in email summaries.

Default: false

retentionDaysinteger#
estimatedCreditsPerMonthinteger#
Upper-bound monthly credit estimate. When judging is enabled, actual usage may be lower because judge credits are only charged for changed pages that are judged.
lastCheckSummaryobject#
Show child attributes
totalPagesinteger#
sameinteger#
changedinteger#
newinteger#
removedinteger#
errorinteger#
goalstring#
judgeEnabledboolean#
createdAtstring#
updatedAtstring#